/**
*Description - No program call, no Java bean call action
*/
import java.math.*;
import java.util.*;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import com.ibm.iseries.webint.*;

public class ListItemsWitAction extends ISeriesAction {
	public ListItemsWitAction() {
		super();
		setInvalidateSession(false);
		setOutputPage("ListItems");
		setProgramCall(false);
	}

	public ActionForward perform(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response) {
		try {
			preprocessing(request, response, form);
			HttpSession session = request.getSession();

			ListItemsWitInputForm inputForm = (ListItemsWitInputForm) form;

			ListItemsWitOutputForm resultsForm = new ListItemsWitOutputForm();
			postprocessing(request, form, resultsForm);
			return getForward(mapping, session);
		} catch (Exception ex) {
			handleError(request, response, ex);
			return mapping.findForward("wdt_error");
		}
	}
}