import java.math.*;
import com.ibm.connector2.iseries.pgmcall.ProgramCallRecord;
import com.ibm.connector2.iseries.pgmcall.ProgramCallStruct;

public class ProgramRecord_GetItem extends ProgramCallRecord
{

	public ProgramRecord_GetItem() {
		_info_Struct = new Info_Struct(this, "GetItem.info");
	}

	public void setSubfile(String subfile) {
		setValue(_strParentField + ".subfile", subfile);
	}

	public String getFlow() {
		return (String) getValue(_strParentField + ".flow");
	}

	public Info_Struct getInfo() {
		return _info_Struct;
	}




    public class Info_Struct extends ProgramCallStruct
    {

		public BigDecimal getProdno() {
			return (BigDecimal) getValue(
				_strParentField + ".prodno",
				getFullIndices());
		}
		public String getDesc() {
			return (String) getValue(
				_strParentField + ".desc",
				getFullIndices());
		}
		public BigDecimal getCost() {
			return (BigDecimal) getValue(
				_strParentField + ".cost",
				getFullIndices());
		}
		public BigDecimal getRetail() {
			return (BigDecimal) getValue(
				_strParentField + ".retail",
				getFullIndices());
		}
		public String getImage() {
			return (String) getValue(
				_strParentField + ".image",
				getFullIndices());
		}

		public Info_Struct(ProgramCallRecord parent, String strParentField) {
			super(parent);
			_strParentField = strParentField;
		}

		private ProgramCallRecord _parentPgmCallRecord = null;
		private String _strParentField = "";


	}
	private Info_Struct _info_Struct = null;

	private String _strParentField = "GetItem";
}
