/**
*Description - No program call, no Java bean call action
*/
import java.math.*;
import java.util.*;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import com.ibm.iseries.webint.*;

public class WitPlaceOrderAction extends ISeriesAction {
	public WitPlaceOrderAction() {
		super();
		setInvalidateSession(false);
		setOutputPage("order");
		setProgramCall(false);
	}

	public ActionForward perform(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response) {
		try {
			preprocessing(request, response, form);
			HttpSession session = request.getSession();

			WitPlaceOrderInputForm inputForm = (WitPlaceOrderInputForm) form;

			WitPlaceOrderOutputForm resultsForm = new WitPlaceOrderOutputForm();
			String[] strDesc = null;
			Object sessiondesc = session.getAttribute("desc");
			if (sessiondesc instanceof String[])
				strDesc = (String[]) sessiondesc;
			else if (sessiondesc instanceof String) {
				strDesc = new String[1];
				strDesc[0] = (String) sessiondesc;
			}
			resultsForm.setValues("desc", strDesc);
			String[] strCost = null;
			Object sessioncost = session.getAttribute("cost");
			if (sessioncost instanceof String[])
				strCost = (String[]) sessioncost;
			else if (sessioncost instanceof String) {
				strCost = new String[1];
				strCost[0] = (String) sessioncost;
			}
			resultsForm.setValues("cost", strCost);
			postprocessing(request, form, resultsForm);
			return getForward(mapping, session);
		} catch (Exception ex) {
			handleError(request, response, ex);
			return mapping.findForward("wdt_error");
		}
	}
}