/**
*Description - No program call, no Java bean call action
*/
import java.math.*;
import java.util.*;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import com.ibm.iseries.webint.*;

public class logoutAction extends ISeriesAction {
	public logoutAction() {
		super();
		setInvalidateSession(true);
		setOutputPage("loggedout");
		setProgramCall(false);
	}

	public ActionForward perform(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response) {
		try {
			preprocessing(request, response, form);
			HttpSession session = request.getSession();

			LogoutInputForm inputForm = (LogoutInputForm) form;

			LogoutOutputForm resultsForm = new LogoutOutputForm();
			postprocessing(request, form, resultsForm);
			session.invalidate();
			return getForward(mapping, session);
		} catch (Exception ex) {
			handleError(request, response, ex);
			return mapping.findForward("wdt_error");
		}
	}
}