package proxy.soap;

import java.net.*;
import java.util.*;
import org.w3c.dom.*;
import org.apache.soap.*;
import org.apache.soap.encoding.*;
import org.apache.soap.encoding.soapenc.*;
import org.apache.soap.rpc.*;
import org.apache.soap.util.xml.*;
import org.apache.soap.messaging.*;

public class QryProdCostServicesProxy
{
  private Call call = new Call();
  private URL url = null;
  private String stringURL = "http://localhost:9080/SV000514/servlet/rpcrouter";
//  private String stringURL = "http://toras07m:17301/SV000514/servlet/rpcrouter";
  
  private SOAPMappingRegistry smr = call.getSOAPMappingRegistry();

  public QryProdCostServicesProxy()
  {
  }

  public synchronized void setEndPoint(URL url)
  {
    this.url = url;
  }

  public synchronized URL getEndPoint() throws MalformedURLException
  {
    return getURL();
  }

  private URL getURL() throws MalformedURLException
  {
    if (url == null && stringURL != null && stringURL.length() > 0)
    {
      url = new URL(stringURL);
    }
    return url;
  }

  public synchronized mappings.Wholesale_QryProdCostResultContentType QryProdCost(java.math.BigDecimal ItemNo) throws Exception
  {
    String targetObjectURI = "http://tempuri.org/wholesale.QryProdCostServices";
    String SOAPActionURI = "";

    if(getURL() == null)
    {
      throw new SOAPException(Constants.FAULT_CODE_CLIENT,
      "A URL must be specified via QryProdCostServicesProxy.setEndPoint(URL).");
    }

    call.setMethodName("QryProdCost");
    call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
    call.setTargetObjectURI(targetObjectURI);
    Vector params = new Vector();
    Parameter ItemNoParam = new Parameter("ItemNo", java.math.BigDecimal.class, ItemNo, Constants.NS_URI_SOAP_ENC);
    params.addElement(ItemNoParam);
    call.setParams(params);
    Response resp = call.invoke(getURL(), SOAPActionURI);

    //Check the response.
    if (resp.generatedFault())
    {
      Fault fault = resp.getFault();
      call.setFullTargetObjectURI(targetObjectURI);
      throw new SOAPException(fault.getFaultCode(), fault.getFaultString());
    }
    else
    {
      Parameter refValue = resp.getReturnValue();
      return ((mappings.Wholesale_QryProdCostResultContentType)refValue.getValue());
    }
  }

  {
    org.apache.soap.encoding.soapenc.BeanSerializer ser_0 = new org.apache.soap.encoding.soapenc.BeanSerializer();
    org.apache.soap.encoding.soapenc.BeanSerializer deSer_0 = new org.apache.soap.encoding.soapenc.BeanSerializer();
    smr.mapTypes("http://schemas.xmlsoap.org/soap/encoding/", new QName("http://www.qryprodcostservices.com/schemas/QryProdCostServicesRemoteInterface","wholesale.QryProdCostResult"),mappings.Wholesale_QryProdCostResultContentType.class, ser_0, deSer_0);
  }
}
